Index: pjproject/main/pjsip/build/TODO.txt
===================================================================
--- pjproject/main/pjsip/build/TODO.txt	(revision 42)
+++ 	(revision )
@@ -1,21 +1,0 @@
-- regc refresh automatically
-- if dialog CANCEL return 481, disconnect the dialog
-- presence implement callback from event_sub
-- presence supports multiple tuples!
-- implement event headers!
-
-Prio Task
- 10  General authentication framework in pjsua.
- 10  Start on SUBSCRIBE/NOTIFY framework.
- 10  Refactor pjsip_event
----
- 10  Concurrency in pool factory because endpt pool is shared by app.
-     Choices:
-	- another pool factory (thread safe) for app ==> waste memory.
-	- endpt pool is thread safe ==> slow
- 10  Sound in Linux
- 10  Support TCP
- 10  Per instance configuration:
-		- max number of tsxs
-		- max number of dialogs
-		- socket buffer size
Index: pjproject/main/pjsip/build/pjsip_core.dsp
===================================================================
--- pjproject/main/pjsip/build/pjsip_core.dsp	(revision 42)
+++ pjproject/main/pjsip/build/pjsip_core.dsp	(revision 43)
@@ -33,14 +33,14 @@
 # PROP BASE Use_MFC 0
 # PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "Release"
-# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Output_Dir ".\output\pjsip-core-i386-win32-vc6-release"
+# PROP BASE Intermediate_Dir ".\output\pjsip-core-i386-win32-vc6-release"
 # PROP BASE Target_Dir ""
 # PROP Use_MFC 0
 # PROP Use_Debug_Libraries 0
-# PROP Output_Dir ".\output\pjsip_core_vc6_Release"
-# PROP Intermediate_Dir ".\output\pjsip_core_vc6_Release"
+# PROP Output_Dir ".\output\pjsip-core-i386-win32-vc6-release"
+# PROP Intermediate_Dir ".\output\pjsip-core-i386-win32-vc6-release"
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
-# ADD CPP /nologo /MD /W4 /Zi /O2 /I "../src" /I "../../pjlib/src" /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /FR /FD /c
+# ADD CPP /nologo /MD /W4 /Zi /O2 /I "../include" /I "../../pjlib/include" /I "../../pjlib-util/include" /D "NDEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /FR /FD /c
 # SUBTRACT CPP /YX
 # ADD BASE RSC /l 0x409 /d "NDEBUG"
@@ -51,5 +51,5 @@
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
-# ADD LIB32 /nologo /out:"../lib/pjsip_core_vc6s.lib"
+# ADD LIB32 /nologo /out:"../lib/pjsip-core-i386-win32-vc6-release.lib"
 
 !ELSEIF  "$(CFG)" == "pjsip_core - Win32 Debug"
@@ -57,14 +57,14 @@
 # PROP BASE Use_MFC 0
 # PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "Debug"
-# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Output_Dir ".\output\pjsip-core-i386-win32-vc6-debug"
+# PROP BASE Intermediate_Dir ".\output\pjsip-core-i386-win32-vc6-debug"
 # PROP BASE Target_Dir ""
 # PROP Use_MFC 0
 # PROP Use_Debug_Libraries 1
-# PROP Output_Dir ".\output\pjsip_core_vc6_Debug"
-# PROP Intermediate_Dir ".\output\pjsip_core_vc6_Debug"
+# PROP Output_Dir ".\output\pjsip-core-i386-win32-vc6-debug"
+# PROP Intermediate_Dir ".\output\pjsip-core-i386-win32-vc6-debug"
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
-# ADD CPP /nologo /MTd /W4 /Gm /GX /ZI /Od /I "../src" /I "../../pjlib/src" /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /FR /FD /GZ /c
+# ADD CPP /nologo /MTd /W4 /Gm /GX /ZI /Od /I "../include" /I "../../pjlib/include" /I "../../pjlib-util/include" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /FR /FD /GZ /c
 # SUBTRACT CPP /YX
 # ADD BASE RSC /l 0x409 /d "_DEBUG"
@@ -75,5 +75,5 @@
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
-# ADD LIB32 /nologo /out:"../lib/pjsip_core_vc6sd.lib"
+# ADD LIB32 /nologo /out:"../lib/pjsip-core-i386-win32-vc6-debug.lib"
 
 !ENDIF 
@@ -136,73 +136,77 @@
 # Begin Source File
 
-SOURCE=..\src\pjsip_core.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\print.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_auth.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_auth_msg.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_auth_parser.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_config.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_endpoint.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_event.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_misc.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_module.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_msg.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_parser.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_private.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_resolve.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_transaction.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_transport.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_types.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjsip\sip_uri.h
+SOURCE=..\include\pjsip_core.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\print_util.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_auth.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_auth_msg.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_auth_parser.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_config.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_endpoint.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_errno.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_event.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_misc.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_module.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_msg.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_parser.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_private.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_resolve.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_transaction.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_transport.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_types.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pjsip\sip_uri.h
 # End Source File
 # End Group
@@ -212,5 +216,5 @@
 # Begin Source File
 
-SOURCE=..\src\pjsip\sip_msg_i.h
+SOURCE=..\include\pjsip\sip_msg_i.h
 # End Source File
 # End Group
Index: pjproject/main/pjsip/build/pjsip_ua.dsp
===================================================================
--- pjproject/main/pjsip/build/pjsip_ua.dsp	(revision 42)
+++ pjproject/main/pjsip/build/pjsip_ua.dsp	(revision 43)
@@ -88,13 +88,17 @@
 # Begin Source File
 
-SOURCE=..\src\pjsip_mod_ua\sip_dialog.c
+SOURCE="..\src\pjsip-ua\sip_dialog.c"
 # End Source File
 # Begin Source File
 
-SOURCE=..\src\pjsip_mod_ua\sip_reg.c
+SOURCE="..\src\pjsip-ua\sip_reg.c"
 # End Source File
 # Begin Source File
 
-SOURCE=..\src\pjsip_mod_ua\sip_ua.c
+SOURCE="..\src\pjsip-ua\sip_ua.c"
+# End Source File
+# Begin Source File
+
+SOURCE="..\src\pjsip-ua\sip_ua_private.h"
 # End Source File
 # End Group
Index: pjproject/main/pjsip/build/tounix
===================================================================
--- pjproject/main/pjsip/build/tounix	(revision 42)
+++ 	(revision )
@@ -1,5 +1,0 @@
-#!/bin/sh
-name=`basename $1`
-cp $1 /tmp
-cat /tmp/$name | tr -d '\r' > $1
-rm -f /tmp/$name
